---
###############################################################################
# General configuration of inspection.

# Timeout of hardware inspection on baremetal compute nodes, in seconds.
# Default is 1200.
#inspector_inspection_timeout:

###############################################################################
# Ironic inspector PXE configuration.

# List of extra kernel parameters for the inspector default PXE configuration.
#inspector_extra_kernel_options:
#  - "mpt3sas.blacklist=1 rd.driver.blacklist=mpt3sas"

# URL of Ironic Python Agent (IPA) kernel image.
#inspector_ipa_kernel_upstream_url:

# URL of checksum of Ironic Python Agent (IPA) kernel image.
#inspector_ipa_kernel_checksum_url:

# Algorithm of checksum of Ironic Python Agent (IPA) kernel image.
#inspector_ipa_kernel_checksum_algorithm:

# URL of Ironic Python Agent (IPA) ramdisk image.
#inspector_ipa_ramdisk_upstream_url:

# URL of checksum of Ironic Python Agent (IPA) ramdisk image.
#inspector_ipa_ramdisk_checksum_url:

# Algorithm of checksum of Ironic Python Agent (IPA) ramdisk image.
#inspector_ipa_ramdisk_checksum_algorithm:

###############################################################################
# Ironic inspector processing configuration.

# List of of default inspector processing plugins.
inspector_processing_hooks_default:
  - ramdisk_error
  - validate_interfaces
  - capabilities
  - pci_devices
  - local_link_connection
  - lldp_basic

# List of of additional inspector processing plugins.
inspector_processing_hooks_extra:
  # Adds switch system name to ironic port local_link_connection.
  - system_name_llc
  # Assigns physical_network to ironic port based on switch system name.
  - system_name_physnet
  # Processes additional inventory data collected by the extra-hardware
  # collector.
  - extra_hardware

# List of of additional inspector processing plugins.
#inspector_processing_hooks:

# Which MAC addresses to add as ports during introspection. One of 'all',
# 'active' or 'pxe'.
inspector_add_ports: all

# Which ports to keep after introspection. One of 'all', 'present', or 'added'.
inspector_keep_ports: all

# Whether to enable discovery of nodes not managed by Ironic.
#inspector_enable_discovery:

# The Ironic driver with which to register newly discovered nodes.
inspector_discovery_enroll_node_driver: ipmi

###############################################################################
# Ironic inspector configuration.

# Ironic inspector IPMI username to set.
#inspector_ipmi_username:

# Ironic inspector IPMI password to set.
#inspector_ipmi_password:

# Ironic inspector default network interface name on which to check for an LLDP
# switch port description to use as the node's name.
#inspector_lldp_switch_port_interface_default: em1

# Ironic inspector map from hostname to network interface name on which to
# check for an LLDP switch port description to use as the node's name.
#inspector_lldp_switch_port_interface_map:

###############################################################################
# Ironic inspector introspection rules configuration.

# Ironic inspector rule to set IPMI credentials.
#inspector_rule_ipmi_credentials:

# Ironic inspector rule to set deployment kernel.
#inspector_rule_deploy_kernel:

# Ironic inspector rule to set deployment ramdisk.
#inspector_rule_deploy_ramdisk:

# Ironic inspector rule to initialise root device hints.
#inspector_rule_root_hint_init:

# Ironic inspector rule to set serial root device hint.
#inspector_rule_root_hint_serial:

# Ironic inspector rule to set the interface on which the node PXE booted.
#inspector_rule_set_pxe_interface_mac:

# Ironic inspector rule to set the node's name from an interface's LLDP switch
# port description.
#inspector_rule_lldp_switch_port_desc_to_name:

# Ironic inspector rule to save introspection data to the node.
#inspector_rule_save_data:

# List of default ironic inspector rules.
inspector_rules_default:
  - "{{ inspector_rule_ipmi_credentials }}"
  - "{{ inspector_rule_deploy_kernel }}"
  - "{{ inspector_rule_deploy_ramdisk }}"
  - "{{ inspector_rule_local_boot }}"
  - "{{ inspector_rule_root_hint_init }}"
  - "{{ inspector_rule_root_hint_serial }}"
  - "{{ inspector_rule_set_pxe_interface_mac }}"
  #- "{{ inspector_rule_lldp_switch_port_desc_to_name }}"
  - "{{ inspector_rule_save_system_vendor_init }}"
  - "{{ inspector_rule_save_system_vendor_manufacturer }}"
  - "{{ inspector_rule_save_system_vendor_serial_number }}"
  - "{{ inspector_rule_save_system_vendor_product_name }}"

# List of additional ironic inspector rules.
inspector_rules_extra:
  - description: "Set the expected BIOS version for PowerEdge C6420."
    conditions:
      - field: "data://inventory.system_vendor.product_name"
        op: "matches"
        value: "^(PowerEdge C6420)$"
    actions:
      - action: "set-attribute"
        path: "extra/system_vendor/bios_version"
        value: "2.6.3"

# List of all ironic inspector rules.
#inspector_rules:

###############################################################################
# Dell switch LLDP workaround configuration.

# Some Dell switch OSs (including Dell Network OS 9.10(0.1)) do not support
# sending interface port description TLVs correctly. Instead of sending the
# interface description, they send the interface name (e.g. TenGigabitEthernet
# 1/1/1). This breaks the discovery process which relies on Ironic node
# introspection data containing the node's name in the interface port
# description. We work around this here by creating an introspection rule for
# each ironic node that matches against the switch system and the relevant
# interface name, then sets the node's name appropriately.

# Ansible group containing switch hosts to which the workaround should be
# applied.
#inspector_dell_switch_lldp_workaround_group:

###############################################################################
# Inspection store configuration.
# The inspection store provides a Swift-like service for storing inspection
# data which may be useful in environments without Swift.

# Whether the inspection data store is enabled.
inspector_store_enabled: false

# Port on which the inspection data store should listen.
#inspector_store_port:

###############################################################################
# Dummy variable to allow Ansible to accept this file.
workaround_ansible_issue_8743: yes
